OLSON, CLARENCE E. - Minnehaha County, South Dakota | CLARENCE E. OLSON - South Dakota Gravestone Photos

Clarence E. OLSON

Dell Rapids Cemetery
Minnehaha County,
South Dakota

Birth: Oct. 28, 1916
Dell Rapids
Minnehaha County
South Dakota, USA
Death: Mar. 9, 1945

E. Olson To be Held Saturday Aftertoon

Re-burial services will be held here Saturday afternoon for Lt. Clarence E. Olson, son of Mr. and Mrs. Edwin who was killed in action while serving with the U.S. Army on the Island of Luzon on March 9, 1945.

His body was returned to the United States some six weeks ago and will arrive here on Friday evening. Services are being conducted at the Methodist Church at 1:30 o'clock p.m., by the pastor, Rev. H. H. Arms assisted by Rev. Wendell Johnson of Colman. Interment will be in the Dell Rapids Cemetery. Military committal services will be in charge of members of the American Legion and the Veterans of Foreign Wars.

Clarence, the only child of Mr. and Mrs. Olson was born in Dell Rapids October 28, 1916. He graduated from the local high school in 1934 and from Dakota Wesleyan University at Mitchell four years later. The following four years until he entered the service of his country, he taught in the public school at Langford, S.D., where he was principal and music director. During his high school and college days Clarence was always an outstanding and popular student. He specialized in music, especially piano and finished an accomplished musician. At Wesleyan he was an honor student in music and athletics. He was president of the U band, student body and A Capella choir. He was awarded membership in Phi Kappa Phi Scholarship fraternity. He was on the football squad, and won single and double championship in tennis.

He was married to Miss Sybil Momyer of Watertown on April 11, 1942. At the close of the school term the same year he declined an offer of further deferment of service and asked to be transferred to his home county for induction, entering the service on July 20, 1942. He was trained at Camp Swift and Sam Houston, Texas. He was recommended for officer's training school and finished this phase of his training, being commissioned lieutenant at Fort Benning, Ga., May 12, 1943. In December, 1943, he was assigned to overseas duty in the Pacific area and had seen service in the infantry in New Caledonia, New Zealand and New Guinea. He was present at the invasion of Luzon, where he received fatal injuries. He was wounded and confined to a base hospital for a time., but in writing home he said his injuries were minor and no cause for worry, and at that time expressed a strong desire to be released and returned to his men, or "his boys" as he called them. Evidently he had been in active duty again but a few days when he met death.

He has received post humus citations and various honor medals, including the Purple Heart.

He is survived by his widow, his 5 year old daughter, Clareen Elizabeth, his parents and his grandparents, Mr. and Mrs. C.E. Dallison.

Dell Rapids business placed will be closed during the services Saturday afternoon from 1:30 to 2:30.

Dell Rapids Tribune

Contributed on 5/13/09 by dellsfig68
Email This Contributor

Suggest a Correction

Record #: 9738

Thank you for visiting the South Dakota Gravestone Photo Project

On this site you can upload gravestone photos, locate ancestors and perform genealogy research. If you have a relative buried in South Dakota, we encourage you to upload a digital image using our Submit a Photo page. Contributing to this genealogy archive helps family historians and genealogy researchers locate their relatives and complete their family tree.

Submitted: 5/13/09 • Approved: 5/14/09 • Last Updated: 8/14/15 • R9738-G0-S3

Other GPP Projects  |  Contact Us  |  Terms of Use  |  Site Map  |  Admin Login